package chatRoom.client.view;
import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class MessageArea extends JPanel {
    JTextField textField;
    JButton btn;
    ChatRoomGUI chatRoomGUI;


    public MessageArea(ChatRoomGUI chatRoomGUI){
        super();
        this.chatRoomGUI = chatRoomGUI;
        this.setLayout(new BorderLayout());
        textField = new JTextField();
        textField.setEditable(true);
        add(textField, BorderLayout.CENTER);

        btn = new JButton("send");
        btn.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                doClickAction();
            } });
        add(btn, BorderLayout.EAST);
        this.setVisible(true);
    }
    void reset() {
        textField.setText("");
    }


    void doClickAction(){

      chatRoomGUI.addNewMessage(textField.getText());
      reset();
    }
}
